---
  title: Theme Changelog
  subtitle: Lists all changes to the theme files
  layout: docs.hbs
---

# Version 1.0.0
> Release Date : 4th Jan 2013

- Initial Release

# Version 1.0.1
> Release Date : 5th Jan 2013

- TF Reviewer fixes

# Version 1.1.0
> Release Date : 12th Jan 2013

- Added "masonry blog" page
- Added "Paralax" homepage
- Added "Comming soon" page
- Added counters shortcode
- Added countdown shortcode
- Added Section height classes (normal, short and tiny)
- Added overlay grid image options in background overlays
- Added support for audio posts
- Added support for audio portfolio items
- Added two new color swatches
- Added new video guides
- Added animation options for services images
- Restyled audio audio links
- Styled "link" buttons
- Panel shortcode now accepts shortcode in content
- Fixed magnific popup button placement
- Fixed issue with button shortcode text
- Restyled fancy lists (icon now on top)
- Updated documentation
    * added more installation instructions
    * added theme options documentation
- Fix for footer height classes
- Fix for footer decoration classes
- Fix for wp-captions max width
- Fixed broken links in docs
- Fixed jumpy behaviour in accordions
- Fix stylesheet loading dependancy bug in child theme
- Added alignment classes to vc_column shortcode
- Added Service Image Animations

# Version 1.2.0
> Release Date : 23rd Jan 2014

- Added Layer Slider
- Added Import Demo Content Installer
- Fixed issue in the alignment of the cart items when mini cart is on top bar
- Fixed issue in the search widget on top bar and menu bar position
- Translatable prev/next arrows in magnific popup gallery
- Updated documentation
- Fix for capitalisation option for navigation bar
- Fix for padding on menus on small screens after scrolling
- Removed css that used to hide background videos on mobile. Option in backend exists.
- Fixed Masonry bug with containing collapsed gallery
- Flexslider now triggers Masonry relayout in case it has different sized images
- Fix site_url call in logo link changed to home_url
- Added French frontend translations
- Updated Visual Composer to 3.7.4

# Version 1.3.0
> Release Date : 6th Feb 2014

- Added nested rows in Visual Composer
- Woocommerce product flexslider options section
- On scroll animations added
- Added article tag to pages
- Added new demo pages (layer slider and scroll animations)
- Added article tag to pages
- Related portfolio items now shown in random order
- Updated demo content with new LayerSlider Homepage & Scroll Animations
- Added German Translations

# Version 1.3.1
> Release Date : 10th Feb 2014

- Updated Envato toolkit plugin
- Added demo-simple.xml file
- Fix for video backgrounds on FireFox on Mac
- Updated demo content docs

# Version 1.4.0
> Release Date : 22nd Feb 2014

- WooCommerce 2.1 now supported
- Mediaelement library now enqueued from wordpress
- Quote Post now doesn't show featured image
- Sub Menu width option added
- Added social media sharing shortcode
- Added vertical positioning option for section background images & videos
- Tabs and Accordion extra classes option fixed
- Demo Content Installer fixes ( better error reporting and all requests stringified )
- Added Demo Content Pre-flight checklist to demo content install page
- Added straight to cart page option to cart widget

# Version 1.5.0
> Release Date : 29th Mar 2014

- Updated Visual Composer Plugin to 4.0.3
- Updated woocommerce product-attributes.php to remove nag message
- Updated Layer Slider Plugin to Version 5.1.1
- Updated Revolution Slider to Version 4.3.3
- Stripteaser option now set to default off
- Added random option to Testimonials
- Added Gravity Forms shortcode to Visual Composer elements
- Moved install plugins menu to theme menu
- Added webm video background support
- Added custom editor style to admin panel
- Added flexslider direction option
- Fixed portfolio link transaltions
- Fix logo link to use home_url
- Fix broken preview button in custom post types
- Fix Link image option in Services Shortcode
- Fix for Firefox background positions
- Fix broken image in one click installer
- Fixed bug in flexslider controls alignment
- Updated & Improved Documentation

# Version 1.5.1
> Release Date : 19th Apr 2014

- Fix for social links in WooCommerce products
- Added icon to add the cart buttons in WooCommerce
- Related Products columns now linked to shop page column option
- open link in added to all custom posts
- added title attribute to twitter social sharing
- added marker label option to google map shortcode
- fixed bug with woocommerce sidebar pages
- improved docs
- fixed caption options in flexslider
- updated visual composer ( fixes issues with WordPress 3.9 )
- updated Revolution Slider

# Version 1.5.2
> Release Date : 25th Apr 2014

- Updated oxygenna typography plugin ( fix bug in add font in WP 3.9 )
- Fixed bug in woocommerce shortcodes ( columns not working )
- updated docs with masonry blog instructions

# Version 1.5.3
> Release Date : 26th June 2014

- Map Scroll Option
- Infinite Scroll Stacking fix
- Social Share tooltips now translatable
- Swatches render each in their own style tag ( ie9 fix )
- Background videos and loader updated ( fixed for ie9 aswell )
- Fixed audio shortcode
- Increased max staff & service count
- Fixed left/right align section title
- Added revisions to staff & portfolio post types
- Fixed blog page overrides
- Updated woocommerce templates to remove warning
- Updated Revolution slider to 4.5.6
- Updated Visual Composer to 4.2.3
- Fixed swatch red white for cart sidebar

# Version 1.6.0
> Release Date : 21st July 2014

- Theme now works without Oxygenna Plugins
- Updated FontAwesome to 4.1
- New Admin Pages Style
- Improved Typography Options
- Fixed nav bar now uses waypoints ( allows fixed and top bar to be used together )
- New Smooth Scrolling
- New Fullheight Sections
- New archive page setting for Services / Portfolio / Staff
- Fix for infinate scrolling when you have 2 shortcodes on the same page
- Updated plugins Revolution Slider / Layer Slider and Visual Composer
- Added atom microrodata classes to posts / pages

# Version 1.6.1
> Release Date : 23rd July 2014

- Removed background color from the body
- Fixed issue with 4 column portfolios
- Updated Visual Composer plugin to 4.3.3
- Updated Revolution Slider plugin to 4.5.95
- Updated Layer Slider plugin to 5.2.0
- Updated TGM plugin to latest dev version

# Version 1.7.0
> Release Date : 29th July 2014

- Added Gravity form Support
- Added extra vimeo font awesome icon to social icons
- Fixed issue with magnific popup z index
- Fixed issue with admin bar and fixed menu type
- Fixed some validation errors
- Fixed animations on product icons on woocommerce
- Fixed variation product styling
- Fixed default 404 image url

# Version 1.7.1
> Release Date : 12 September 2014

- Fixed Language selector widget in menu widget
- Fixed feature shortcode where icon always visible
- Fixed Audio Player buttons issue
- Fixed blog post border alignment
- Fixed background videos for new mediaelement version in wordpress 4
- Fixed typekit in typography settings
- Panel shortcode can now be a container of other shortcodes
- Added vertical align on rows option
- Multisite signup page styled
- Feature sc icon option now works when no icon is selected
- Updated Revolution Slider 4.6.0
- Updated Envato Wordpress Toolkit 1.7.0
- Updated Font Awesome to 4.2
- Update to Demo Content Installer (now installs revolution sliders & separate woocommerce package)
- Updated Documentation
- Fixed Visual Composer 4.3.3 icons

# Version 1.7.2
> Release Date: 25th September 2014

- Fixed left sidebar template on IOS (the sidebar goes bellow the content now
- Fixed bug on Woocommerce select options in forms
- Fixed positioning of recent post widget titles when too long
- Fixed styling on select elements
- Updated WooCommerce templates to 2.2.4
- Removed Smooth Scrolling plugin for Chrome
- Background videos on iOS devices have a poster that covers the container
- Background videos are now fluid fullwidth and always vertically centered
- Fixed media element for Audio Posts
- Fixed element selection in typekit and system fonts
- Updated Docs

# Version 1.7.3
> Release Date: 25th September 2014

- Fixed missing plugins in 1.7.2
- Fixed hover delay option for menu

# Version 1.7.4
> Release Date: 13th November 2014

- Fixed progress bar shortcode
- Fix for WooCommerce country select box
- Changed shortcodes to use wp_query to fix WPML translations
- Updated animate.css - added new animation effects
- Gallery shortcode images now show in one gallery
- Updated plugins Visual Composer / Revolution Slider / Layer Slider
- Updated woocommerce templates for 2.2.8

# Version 1.7.5
> Release Date: 8th December 2014

- Fixed bug when editing panel shortcode content
- Slider images can open with magnific popup
- Added clickthrough menus on mobile devices
- Variation products reflect the change of the image.
- Added option to save swatch CSS as files
- Fixed parallax bug for background images after portfolio section
- Major updates to docs
- Unminified theme.css and theme.js available
- Added support for mp4 video formats for posts

# Version 1.7.6
> Release Date: 19th Dec 2014

- Gallery shortcode now loads clicked image first
- Fixed JS error for missing poster attr
- Fix for number of staff items in shortcode
- Fix bug with jQuery UI in admin panel
- Updated Visual Composer to 4.3.5 (Fixes WordPress 4.1 Compatibility)
- Fixed bug with Install default fonts button
- Fixed CSS in bounce animation of images
- Fixed issue with vertical alignment in FireFox
- Updated docs

# Version 1.7.7
> Release Date: 21st Dec 2014

- Bug fix for load_sidebars call